<mat-card>
    <form [formGroup]="formUsuario">
        <div class="row">
            <mat-form-field class="col-md-6">
                <input matInput placeholder="Nome" formControlName="nome">
                <mat-error *ngIf="formUsuario.get('nome').invalid">{{getMensagemErro('nome')}}</mat-error>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <input matInput appTelefone maxlength="15" placeholder="Telefone" formControlName="telefone">
                <mat-error *ngIf="formUsuario.get('telefone').invalid">{{getMensagemErro('telefone')}}</mat-error>
            </mat-form-field>
        </div>
        <div class="row">
            <mat-form-field class="col-md-4">
                <input matInput placeholder="E-mail" formControlName="email">
                <mat-error *ngIf="formUsuario.get('email').invalid">{{getMensagemErro('email')}}</mat-error>
            </mat-form-field>
        </div>

        <div class="d-flex justify-content-end">
            <button mat-raised-button class="mr-2" (click)="cancelar()">Cancelar</button>
            <button mat-raised-button color="primary" (click)="salvar()">Salvar</button>
        </div>
    </form>
</mat-card>